/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  preProcFrgHS.h
* Description:
*
*
* History:
* 13-Jul-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PREPROC_FRG_HS_H
#define _PREPROC_FRG_HS_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void preProcFrgHS (
	UserOptions		*options,
    FilterData		*filterInfo,
    MidiFiles		*fileNames,
    CompressedData	*compressedInterf,
    CompressedData	*compressedPhotomA,
    CompressedData	*compressedPhotomB,
    ImageFormat		*formatInterf,
    ImageFormat		*formatPhotomA,
    ImageFormat		*formatPhotomB,
    int				*error);

void organiseFrgHS (
	int					newFile,
    char				*obsTech,
	char				*fitsFile,
	char				*maskFile,
	int					extNumOfImagingDataFile,
	int					extNumOfImagingDataMask,
    ImageFormat			*localFormat,
    ImageFormat			*splitFormat,
    CompressedData		*compressed,
    int					*error);

int compressFrgHS (
    int					newSet,
    char				*obsTech,
    char				*inFitsFile,
    char				*maskFile,
    int					extNumOfImagingDataFile,
    int					extNumOfImagingDataMask,
    CompressedData		*compressed,
    ImageFormat			*splitFormat,
    int					numOfFramesMax,
    int					*error);
  
/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

